I'm Jack-Benny, the owner of [CyberInfo Sverige](https://www.cyberinfo.se/) and 
[CyberInfo Consulting Sweden AB](https://www.cyberinfo.se/konsult/). 

But who am I, really? I don't know actually, but isn't that the fun part?
Not knowing, just exploring, loving, being.

I like to tinker with computers, and Unix related things in particular. I also
like old computers, pagers, networks, and phones. I also like to write about these 
adventures. I attend demoparties whenever the opportunity presents itself (but
to this day, I haven't written any demos).

# Contribute to my code
Have you found a bug in any of my repositories? Or maybe an improvement? I
accept patches via email sent to [jack-benny@cyberinfo.se](mailto:jack-benny@cyberinfo.se). 
See [How to contribute](https://git.cyberinfo.se/jackbenny/how-to-contribute/)
for instructions on how to create a patch files in Git.

# Books I've written
* [Grunderna i
  programmering](https://cyberinfo.se/bocker/#grunderna-i-programmering)
  (Swedish)
    * [All code examples (3rd edition)](https://github.com/jackbenny/grunderna-i-prog-tredje-utgavan)
    * [All code examples (2nd edition)](https://github.com/jackbenny/grunderna-i-programmering-andra-utgavan)
* [C-programmering i Linux, macOS, BSD och
  Solaris](https://cyberinfo.se/bocker/#c-programmering-i-linux-macos-bsd-och-solaris)
  (Swedish)
    * [All code examples](https://github.com/jackbenny/c-programmering-tredje-utgavan)
* [Linux systemadministration från
  grunden](https://cyberinfo.se/bocker/#linux-systemadministration-fr%C3%A5n-grunden)
  (Swedish)
    * [All code examples](https://github.com/jackbenny/linux-systemadministration-fran-grunden)
* [Linux System Programming Techniques](https://www.amazon.com/dp/1789951283) (English)
    * [All code examples](https://github.com/PacktPublishing/Linux-System-Programming-Techniques)
* [Docker från
  grunden](https://www.cyberinfo.se/bocker/#docker-fr%C3%A5n-grunden) (Swedish)
    * [All code files](https://github.com/jackbenny/docker-fran-grunden)
* [Ansible från grunden](https://www.cyberinfo.se/bocker/#ansible-fr%C3%A5n-grunden) (Swedish)
    * [All code files](https://github.com/jackbenny/ansible-fran-grunden)
* [Demonerna på internet](https://www.cyberinfo.se/bocker/#demonerna-p%C3%A5-internet) (Swedish)
    * [All code files](https://github.com/jackbenny/demonerna-pa-internet)


